summaryrefslogtreecommitdiff
path: root/VA/dimes-hetsim-nmc.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-07-17 13:36:57 +0200
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-07-17 13:36:57 +0200
commit1259f4c85f45ccf72b434d35b3bd1af841c9ae62 (patch)
treedfee71a3966aa79f7b1508b5b8d92f77b50c145e /VA/dimes-hetsim-nmc.sh
parent48a8f83f63dc62c630e7437cd47d10c24f688a18 (diff)
VA dimes benchmarks: re-introduce --resume; add memcpy baseline
Diffstat (limited to 'VA/dimes-hetsim-nmc.sh')
-rwxr-xr-xVA/dimes-hetsim-nmc.sh38
1 files changed, 24 insertions, 14 deletions
diff --git a/VA/dimes-hetsim-nmc.sh b/VA/dimes-hetsim-nmc.sh
index f622b47..fa9e975 100755
--- a/VA/dimes-hetsim-nmc.sh
+++ b/VA/dimes-hetsim-nmc.sh
@@ -1,17 +1,16 @@
#!/bin/bash
mkdir -p log/$(hostname) baselines/cpu/log/$(hostname)
-fn=log/$(hostname)/$(date +%Y%m%d)
+fn=log/$(hostname)/dimes-hetsim-nmc
# upstream uses 167772160 * 2 * int32 == 2.5 GiB input and 1.25 GiB output for DPU version
run_benchmark_nmc() {
local "$@"
+ set -e
sudo limit_ranks_to_numa_node ${numa_rank}
- if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
- bin/host_code -w 0 -e 100 -i ${input_size} -x 1
- fi
- return $?
+ make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1
+ bin/host_code -w 0 -e 40 -i ${input_size} -x 1
}
export -f run_benchmark_nmc
@@ -20,7 +19,7 @@ export -f run_benchmark_nmc
echo "NMC single-node operation (1/2)" >&2
-parallel -j1 --eta --joblog ${fn}.1.joblog --header : \
+parallel -j1 --eta --joblog ${fn}.1.joblog --resume --header : \
run_benchmark_nmc nr_dpus={nr_dpus} nr_tasklets=16 input_size={input_size} numa_rank={numa_rank} \
::: numa_rank 0 1 \
::: nr_dpus 64 128 256 512 768 1024 \
@@ -28,15 +27,13 @@ parallel -j1 --eta --joblog ${fn}.1.joblog --header : \
echo "NMC multi-node operation (2/2)" >&2
-parallel -j1 --eta --joblog ${fn}.2.joblog --header : \
+parallel -j1 --eta --joblog ${fn}.2.joblog --resume --header : \
run_benchmark_nmc nr_dpus={nr_dpus} nr_tasklets=16 input_size={input_size} numa_rank={numa_rank} \
::: numa_rank any \
::: nr_dpus 1536 2048 2304 \
::: input_size 167772160
-) > ${fn}.txt
-
-xz -f -v -9 -M 800M ${fn}.txt
+) >> ${fn}.txt
cd baselines/cpu
make -B NUMA=1
@@ -45,7 +42,7 @@ make -B NUMA=1
echo "CPU single-node operation (1/2)" >&2
-parallel -j1 --eta --joblog ${fn}.1.joblog --header : \
+parallel -j1 --eta --joblog ${fn}.1.joblog --resume --header : \
./va -i {input_size} -a {ram} -b {ram} -c {cpu} -t {nr_threads} -w 0 -e 40 \
::: ram 0 1 \
::: cpu 0 1 \
@@ -54,13 +51,26 @@ parallel -j1 --eta --joblog ${fn}.1.joblog --header : \
echo "CPU multi-node operation (1/2)" >&2
-parallel -j1 --eta --joblog ${fn}.2.joblog --header : \
+parallel -j1 --eta --joblog ${fn}.2.joblog --resume --header : \
./va -i {input_size} -a {ram} -b {ram} -c {cpu} -t {nr_threads} -w 0 -e 40 \
::: ram 0 1 \
::: cpu -1 \
::: nr_threads 24 32 \
::: input_size 167772160
-) > ${fn}.txt
+) >> ${fn}.txt
+
+make -B NUMA=1 NUMA_MEMCPY=1
+
+(
+
+echo "CPU single-node operation with setup cost" >&2
+
+parallel -j1 --eta --joblog ${fn}.1.joblog --resume --header : \
+ ./va -i {input_size} -a {ram} -b {cpu} -c {cpu} -t {nr_threads} -w 0 -e 40 \
+ ::: ram 0 1 \
+ ::: cpu 0 1 \
+ ::: nr_threads 1 2 4 8 12 16 \
+ ::: input_size 167772160
-xz -f -v -9 -M 800M ${fn}.txt
+) >> ${fn}.txt